wibble::CastedRange< T, Casted > Struct Template Reference

`#include <range.h>`

Inheritance diagram for wibble::CastedRange< T, Casted >:
[legend]
Collaboration diagram for wibble::CastedRange< T, Casted >:
[legend]

## Public Member Functions

| CastedRange ()
| CastedRange (Range< Casted > r)
T | head () const
void | removeFirst ()
bool | operator<= (const CastedRange &r) const
void | setToEmpty ()
Public Member Functions inherited from wibble::RangeMixin< T, CastedRange< T, Casted > >
const CastedRange< T, Casted > & | self () const
iterator | begin () const
iterator | end () const
T | head ()
CastedRange< T, Casted > | tail () const
void | output (Consumer< T > t) const
bool | empty () const
| ~RangeMixin ()
Public Member Functions inherited from wibble::mixin::Comparable< Self >
const Self & | cmpSelf () const
bool | operator!= (const Self &o) const
bool | operator== (const Self &o) const
bool | operator< (const Self &o) const
bool | operator> (const Self &o) const
bool | operator>= (const Self &o) const

## Protected Attributes

Range< Casted > | m_casted

## Additional Inherited Members

Public Types inherited from wibble::RangeMixin< T, CastedRange< T, Casted > >
typedef CastedRange< T, Casted > | RangeImplementation
typedef T | ElementType
typedef IteratorMixin< T, CastedRange< T, Casted > > | Base
typedef RangeIterator< CastedRange< T, Casted > > | iterator

## Constructor & Destructor Documentation

## CastedRange() [1/2]

template<typename T , typename Casted >

wibble::CastedRange< T, Casted >::CastedRange | ( |  | ) |

inline

## CastedRange() [2/2]

template<typename T , typename Casted >

wibble::CastedRange< T, Casted >::CastedRange | ( | Range< Casted > | r | ) |

inline

## Member Function Documentation

## head()

template<typename T , typename Casted >

T wibble::CastedRange< T, Casted >::head | ( |  | ) | const

inline

References wibble::Range< T >::head(), and wibble::CastedRange< T, Casted >::m_casted.

## operator<=()

template<typename T , typename Casted >

bool wibble::CastedRange< T, Casted >::operator<= | ( | const CastedRange< T, Casted > & | r | ) | const

inline

References wibble::CastedRange< T, Casted >::m_casted.

## removeFirst()

template<typename T , typename Casted >

void wibble::CastedRange< T, Casted >::removeFirst | ( |  | ) |

inline

References wibble::CastedRange< T, Casted >::m_casted, and wibble::Range< T >::removeFirst().

## setToEmpty()

template<typename T , typename Casted >

void wibble::CastedRange< T, Casted >::setToEmpty | ( |  | ) |

inline

References wibble::CastedRange< T, Casted >::m_casted, and wibble::Range< T >::setToEmpty().

## Member Data Documentation

## m_casted

template<typename T , typename Casted >

Range< Casted > wibble::CastedRange< T, Casted >::m_casted

protected

Referenced by wibble::CastedRange< T, Casted >::head(), wibble::CastedRange< T, Casted >::operator<=(), wibble::CastedRange< T, Casted >::removeFirst(), and wibble::CastedRange< T, Casted >::setToEmpty().

The documentation for this struct was generated from the following file:

- range.h